%define upstream_name    Glib-IO
%define upstream_version 0.001

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 0.6

Summary:    Perl bindings to the GIO library
License:    LGPLv2
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Glib/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::Depends) >= 0.300.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.0.0
BuildRequires: perl-devel
BuildRequires: perl-Glib-Object-Introspection
BuildRequires: typelib(Gio)
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires: pkgconfig(gobject-introspection-1.0)
Requires:   typelib(Gio)
BuildArch: noarch
%description
Glib::IO is the perl bindings to the GIO library.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%apply_patches

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.1.0-0.6.mga6
+ Revision: 1027944
- Rebuild for perl 5.22.2

* Thu Apr 07 2016 tv <tv> 0.1.0-0.5.mga6
+ Revision: 999102
- rebuild for perl-5.22
- restore it (needed for porting from libnotify to GNotification)

  + sander85 <sander85>
    - Missing from CPAN and nothing depends on it

* Wed Oct 15 2014 umeabot <umeabot> 0.1.0-0.4.mga6
+ Revision: 750351
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.0-0.3.mga5
+ Revision: 684875
- Mageia 5 Mass Rebuild

  + ovitters <ovitters>
    - add gobject-introspection BR for typelib auto BR

* Fri Oct 18 2013 umeabot <umeabot> 0.1.0-0.2.mga4
+ Revision: 522267
- Mageia 4 Mass Rebuild

* Mon Feb 18 2013 tv <tv> 0.1.0-0.1.mga3
+ Revision: 398961
- require typelib(Gio)
- imported package perl-Glib-IO

